Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 161730 - New package: dev-util/catfish
Summary: New package: dev-util/catfish
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 2 votes (vote)
Assignee: Samuli Suominen
URL: http://software.twotoasts.de/?page=ca...
Whiteboard: sunrise suggested
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2007-01-12 12:29 UTC by Wojciech Myrda
Modified: 2012-01-14 21:08 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
catfish-0.2.ebuild (catfish-0.2.ebuild,854 bytes, text/plain)
2007-01-12 12:32 UTC, Wojciech Myrda
Details
catfish-0.2.5.ebuild (catfish-0.2.5.ebuild,856 bytes, text/plain)
2007-10-11 15:41 UTC, Greg Toombs
Details
catfish-0.2.5.ebuild (catfish-0.2.5.ebuild,857 bytes, text/plain)
2007-10-11 15:47 UTC, Greg Toombs
Details
catfish-0.3.0.ebuild (catfish-0.3.0.ebuild,855 bytes, text/plain)
2007-12-12 01:56 UTC, Greg Toombs
Details
ebuild for catfish-0.3.1 (catfish-0.3.1.ebuild,843 bytes, text/plain)
2008-07-13 11:39 UTC, Hong Hao
Details
catfish-0.3.1.ebuild (catfish-0.3.1.ebuild,940 bytes, text/plain)
2008-08-15 06:26 UTC, flacvest
Details
app-text/catfish-0.3.2 (catfish-0.3.2.ebuild,970 bytes, text/plain)
2008-11-22 23:42 UTC, Dmitri Bogomolov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wojciech Myrda 2007-01-12 12:29:43 UTC
A handy file search tool using different backends which is configurable via the command line.

This program acts as a frontend for different file search engines. The interface is intentionally lightweight and simple. But it takes configuration options from the command line.

Currently find, (s)locate, tracker and beagle are supported as backends.
Comment 1 Wojciech Myrda 2007-01-12 12:32:15 UTC
Created attachment 106664 [details]
catfish-0.2.ebuild

Ebuild I used. I used app-text/catfish directory. This ebuild also makes use of doodle  http://bugs.gentoo.org/show_bug.cgi?id=95342
Comment 2 Greg Toombs 2007-10-11 15:41:57 UTC
Created attachment 133150 [details]
catfish-0.2.5.ebuild

Updated and fixed ebuild.
Comment 3 Greg Toombs 2007-10-11 15:47:07 UTC
Created attachment 133152 [details]
catfish-0.2.5.ebuild

Sorry, _now_ it's fixed. There were a few hyphens missing.
Comment 4 Greg Toombs 2007-12-12 01:56:42 UTC
Created attachment 138295 [details]
catfish-0.3.0.ebuild
Comment 5 Hong Hao 2008-07-13 11:39:12 UTC
Created attachment 160256 [details]
ebuild for catfish-0.3.1
Comment 6 flacvest 2008-08-15 06:26:22 UTC
Created attachment 162939 [details]
catfish-0.3.1.ebuild

I noticed the first catfish-0.3.1.ebuild left out the arch keywords for everything but ~x86, so I amended it. BTW it is working fine on ~amd64.
Comment 7 Dmitri Bogomolov 2008-11-22 23:42:23 UTC
Created attachment 172905 [details]
app-text/catfish-0.3.2

Distfile now doesn't contain catfish.png icon and only installs /usr/share/icons/hicolor/apps/catfish.svg - no icon in /usr/share/pixmaps.
Comment 8 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-30 19:35:49 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 9 David 2009-11-06 18:50:55 UTC
Yes, can we get this into Sunrise, or at least an overlay listed in layman??

Let me know if I can do anything  ~
Comment 10 Samuli Suominen gentoo-dev 2012-01-14 20:30:13 UTC
0.3.2 in portage
Comment 11 haarp 2012-01-14 21:08:01 UTC
Thank you!